<?php

include 'icl/showtemplatetype.inc.php';

function addtemplatetype(){
	
	$templatetypename=SQET('templatetypename');
	$templatetypekey=SQET('templatetypekey');
	
	global $db;
	
	$user=userinfo();
	$gsid=$user['gsid']+0;
	
	checkgskey('addtemplatetype');
	
	$query="select * from templatetypes where templatetypekey=? and gsid=? ";
	$rs=sql_prep($query,$db,array($templatetypekey,$gsid));
	if ($myrow=sql_fetch_assoc($rs)) apperror('Duplicate key. Pick a different key.');
	
	$query="insert into templatetypes (gsid,templatetypename,templatetypekey) values (?,?,?) ";
	$rs=sql_prep($query,$db,array($gsid,$templatetypename,$templatetypekey));
	$templatetypeid=sql_insert_id($db,$rs)+0;

	if (!$templatetypeid) {
		apperror(_tr('error_creating_record'));
	}
	
	logaction("added Template Class #$templatetypeid $templatetypename",array('templatetypeid'=>$templatetypeid,'templatetypename'=>"$templatetypename"));
	
	header('newrecid:'.$templatetypeid);
	header('newkey:templatetype_'.$templatetypeid);
	header('newparams:showtemplatetype&templatetypeid='.$templatetypeid);
	
	showtemplatetype($templatetypeid);
}

